Package io.dapr.v1

# Interface CommonProtos.StateOptionsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.StateOptions`, `CommonProtos.StateOptions.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.StateOptionsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CommonProtos.StateOptions.StateConcurrency` | `getConcurrency()` | `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
  `int` | `getConcurrencyValue()` | `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
  `CommonProtos.StateOptions.StateConsistency` | `getConsistency()` | `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
  `int` | `getConsistencyValue()` | `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
  `CommonProtos.StateRetryPolicy` | `getRetryPolicy()` | `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`
  `CommonProtos.StateRetryPolicyOrBuilder` | `getRetryPolicyOrBuilder()` | `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`
  `boolean` | `hasRetryPolicy()` | `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getConcurrencyValue

    int getConcurrencyValue()
    `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
    Returns:
      The enum numeric value on the wire for concurrency.

  - ### getConcurrency

    CommonProtos.StateOptions.StateConcurrency getConcurrency()
    `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
    Returns:
      The concurrency.

  - ### getConsistencyValue

    int getConsistencyValue()
    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
    Returns:
      The enum numeric value on the wire for consistency.

  - ### getConsistency

    CommonProtos.StateOptions.StateConsistency getConsistency()
    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
    Returns:
      The consistency.

  - ### hasRetryPolicy

    boolean hasRetryPolicy()
    `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`
    Returns:
      Whether the retryPolicy field is set.

  - ### getRetryPolicy

    CommonProtos.StateRetryPolicy getRetryPolicy()
    `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`
    Returns:
      The retryPolicy.

  - ### getRetryPolicyOrBuilder

    CommonProtos.StateRetryPolicyOrBuilder getRetryPolicyOrBuilder()
    `.dapr.proto.common.v1.StateRetryPolicy retry_policy = 3;`